package com.ruoyi.ss.suit.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 2024/4/26
 *
 * @author wjh
 */
@Data
public class SuitVO extends Suit {

    @ApiModelProperty("用户名称")
    @JsonView(JsonViewProfile.AppMch.class)
    private String userName;

    @ApiModelProperty("应用的设备列表")
    @JsonView(JsonViewProfile.AppMch.class)
    private List<DeviceVO> deviceList;
}
