package com.ruoyi.ss.transferDetail.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 转账明细对象 ss_transfer_detail
 *
 * @author ruoyi
 * @date 2024-08-09
 */
@Data
public class TransferDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long detailId;

    @Excel(name = "转账明细单号")
    @ApiModelProperty("转账明细单号")
    private String detailNo;

    @Excel(name = "转账批次ID")
    @ApiModelProperty("转账批次ID")
    private Long transferId;

    @Excel(name = "明细状态")
    @ApiModelProperty("明细状态")
    private String status;

    @Excel(name = "转账金额", readConverterExp = "元=")
    @ApiModelProperty("转账金额")
    private BigDecimal amount;

    @Excel(name = "收款用户账号")
    @ApiModelProperty("收款用户账号")
    private String accountNo;

    @Excel(name = "收款用户姓名")
    @ApiModelProperty("收款用户姓名")
    private String userName;

    @Excel(name = "收款用户姓名")
    @ApiModelProperty("失败原因")
    private String failReason;

}
