package com.ruoyi.ss.transactionBill.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author wjh
 * 2024/9/9
 */
@Data
public class BillPayDTO {
    @ApiModelProperty("订单编号")
    @NotNull(message = "订单编号不允许为空")
    private String billNo;

    @ApiModelProperty("渠道ID")
    @NotNull(message = "渠道ID不允许为空")
    private Long channelId;
}
